import { defAxios as request } from '@/utils/http'

/**
 * 获取挂载设备列表(分页)
 * @param {Object}
 * @returns
 */
export function uvaPage(params) {
  return request({
    url: '/equipment/index',
    method: 'get',
    params
  })
}

/**
 * 获取挂载设备
 * params
 * @returns
 */
export function uvaAll() {
  return request({
    url: '/equipment/getList',
    method: 'get'
  })
}

/**
 * 创建挂载设备
 * @returns
 */
export function uvaCreate(data) {
  return request({
    url: '/equipment/add',
    method: 'post',
    data
  })
}
/**
 * 编辑挂载设备
 * @returns
 */
export function uvaUpdate(data) {
  return request({
    url: '/equipment/edit',
    method: 'put',
    data
  })
}
/**
 * 删除挂载设备
 * @returns
 */
export function uvaDelete(ids) {
  return request({
    url: `/equipment/delete/${ids}`,
    method: 'delete'
  })
}
